EMMPPathContext (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cdt.builder.EMMPPathContext class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.nokia.carbide.cdt.builder
Enum EMMPPathContext

    java.lang.Object
      java.lang.Enum<EMMPPathContext>
          com.nokia.carbide.cdt.builder.EMMPPathContext

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EMMPPathContext>

    public enum EMMPPathContext

extends java.lang.Enum<EMMPPathContext>

This enumeration describes the contexts in which IPath elements are used in the IMMPView. Pass it as a parameter to `MMPViewPathHelper` instances.

Enum Constant Summary
`AIF_BITMAP`
`AIF_SOURCE`
`DEFFILE`
`DOCUMENT`
`RESOURCE` RESOURCE or SYSTEMRESOURCE statements
`SOURCE`
`SOURCEPATH`
`START_BITMAP_SOURCE`
`START_BITMAP_SOURCEPATH`
`START_RESOURCE` START RESOURCE block
`SYSTEMINCLUDE`
`SYSTEMRESOURCE`
`TARGETPATH`
`USERINCLUDE`

Method Summary
`boolean` | `isFile()` Tell whether the context specifies files rather than directories.
`boolean` | `useMakeAbs()` Tell whether the path is interpreted to allow full paths (in the local filesystem).
`boolean` | `useMakeEAbs()` Tell whether the path is interpreted such that full paths are EPOCROOT-relative.
`static EMMPPathContext` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EMMPPathContext[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SOURCEPATH

    public static final EMMPPathContext SOURCEPATH

### START_BITMAP_SOURCEPATH

    public static final EMMPPathContext START_BITMAP_SOURCEPATH

### USERINCLUDE

    public static final EMMPPathContext USERINCLUDE

### SYSTEMINCLUDE

    public static final EMMPPathContext SYSTEMINCLUDE

### TARGETPATH

    public static final EMMPPathContext TARGETPATH

### DEFFILE

    public static final EMMPPathContext DEFFILE

### AIF_SOURCE

    public static final EMMPPathContext AIF_SOURCE

### AIF_BITMAP

    public static final EMMPPathContext AIF_BITMAP

### SOURCE

    public static final EMMPPathContext SOURCE

### START_BITMAP_SOURCE

    public static final EMMPPathContext START_BITMAP_SOURCE

### START_RESOURCE

    public static final EMMPPathContext START_RESOURCE

  START RESOURCE block

### RESOURCE

    public static final EMMPPathContext RESOURCE

  RESOURCE or SYSTEMRESOURCE statements

### SYSTEMRESOURCE

    public static final EMMPPathContext SYSTEMRESOURCE

### DOCUMENT

    public static final EMMPPathContext DOCUMENT

Method Detail

### values

    public static final EMMPPathContext[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(EMMPPathContext c : EMMPPathContext.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static EMMPPathContext valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### useMakeEAbs

    public boolean useMakeEAbs()

  Tell whether the path is interpreted such that full paths are EPOCROOT-relative.

  Returns:

### useMakeAbs

    public boolean useMakeAbs()

  Tell whether the path is interpreted to allow full paths (in the local filesystem).

  Returns:

### isFile

    public boolean isFile()

  Tell whether the context specifies files rather than directories.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD